Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<String>>
                  org.teleal.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  UDA10ServiceDescriptorBinderSAXImpl

    protected static class UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler

extends UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<String>>

Field Summary
`static Descriptor.Service.ELEMENT` | `EL`

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler(List<String> instance, UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)`

Method Summary
`void` | `endElement(Descriptor.Service.ELEMENT element)`
`boolean` | `isLastElement(Descriptor.Service.ELEMENT element)`

Methods inherited from class org.teleal.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler
`endElement, isLastElement, startElement, startElement`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL

    public static final Descriptor.Service.ELEMENT EL

Constructor Detail

### UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler

    public UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler(List<String> instance,
                                                                       UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)

Method Detail

### endElement

    public void endElement(Descriptor.Service.ELEMENT element)
                    throws SAXException

  Overrides:
    `endElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<String>>`
  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(Descriptor.Service.ELEMENT element)

  Overrides:
    `isLastElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<List<String>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.